[android-components](../../index.md) / [mozilla.components.concept.push](../index.md) / [PushMessage](./index.md)

# PushMessage

`data class PushMessage` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/push/src/main/java/mozilla/components/concept/push/PushProcessor.kt#L63)

A push message holds the information needed to pass the message on to the appropriate receiver.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `PushMessage(data: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>A push message holds the information needed to pass the message on to the appropriate receiver. |

### Properties

| Name | Summary |
|---|---|
| [data](data.md) | `val data: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
